| CustomAndroidAPI 1.11

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Static Public Attributes | List of all members
it.custom.printer.api.android.CustomException Class Reference

## Public Member Functions
| CustomException (long lErrorCode)
| CustomException (long lErrorCode, String strAddErrorDescr)
| CustomException (String strMessage)
long | GetErrorCode ()
String | toString ()
String | getMessage ()
String | getAddMessage ()

## Static Public Attributes
static final int | ERR_GENERIC = 0
static final int | ERR_WRONGPICTURE = 1
static final int | ERR_WRONGPARAMETERVALUE = 2
static final int | ERR_PRINTERNOTCONNECTED = 3
static final int | ERR_PRINTERCOMMUNICATIONERROR = 4
static final int | ERR_WRONGPRINTERFONT = 5
static final int | ERR_DEVICENOTSUPPORTED = 6
static final int | ERR_DEVICENOTRECOGNIZED = 7
static final int | ERR_INITCOMMUNICATIONERROR = 8
static final int | ERR_UNSUPPORTEDFUNCTION = 9
static final int | ERR_DATABARCODE = 10
static final int | ERR_DATANOTAVAILABLE = 11

## Detailed Description

Exception class for CustomAndroidAPI

## Constructor & Destructor Documentation

it.custom.printer.api.android.CustomException.CustomException | ( | long | lErrorCode | ) |
| inline

it.custom.printer.api.android.CustomException.CustomException | ( | long | lErrorCode,
|  | String | strAddErrorDescr
| ) |  |
| inline

it.custom.printer.api.android.CustomException.CustomException | ( | String | strMessage | ) |
| inline

## Member Function Documentation

String it.custom.printer.api.android.CustomException.getAddMessage | ( |  | ) |
| inline

Returns the Additional Error String description

Returns
  the Additional Error String description

long it.custom.printer.api.android.CustomException.GetErrorCode | ( |  | ) |
| inline

Returns the error code

Returns
  the error code

String it.custom.printer.api.android.CustomException.getMessage | ( |  | ) |
| inline

Returns the String with the error code and its description

Returns
  the String with the error code and its description

String it.custom.printer.api.android.CustomException.toString | ( |  | ) |
| inline

Returns the String with the error code and its description

Returns
  the String with the error code and its description

## Member Data Documentation

final int it.custom.printer.api.android.CustomException.ERR_DATABARCODE = 10
| static

Indicates that an Error during the printer of Barcode

final int it.custom.printer.api.android.CustomException.ERR_DATANOTAVAILABLE = 11
| static

Indicates that an Error during the get of data from the device

final int it.custom.printer.api.android.CustomException.ERR_DEVICENOTRECOGNIZED = 7
| static

Indicates that an Error because this device is not recognized

final int it.custom.printer.api.android.CustomException.ERR_DEVICENOTSUPPORTED = 6
| static

Indicates that an Error because this device is not supported

final int it.custom.printer.api.android.CustomException.ERR_GENERIC = 0
| static

Indicates that an Generic Error

final int it.custom.printer.api.android.CustomException.ERR_INITCOMMUNICATIONERROR = 8
| static

Indicates that an Error during the init communication with the printer

final int it.custom.printer.api.android.CustomException.ERR_PRINTERCOMMUNICATIONERROR = 4
| static

Indicates that an Error during the communication with the printer

final int it.custom.printer.api.android.CustomException.ERR_PRINTERNOTCONNECTED = 3
| static

Indicates that the printer isn't connected

final int it.custom.printer.api.android.CustomException.ERR_UNSUPPORTEDFUNCTION = 9
| static

Indicates that this printer do not support this function

final int it.custom.printer.api.android.CustomException.ERR_WRONGPARAMETERVALUE = 2
| static

Indicates that an Error on a parameter value

final int it.custom.printer.api.android.CustomException.ERR_WRONGPICTURE = 1
| static

Indicates that an Error on the Picture to print

final int it.custom.printer.api.android.CustomException.ERR_WRONGPRINTERFONT = 5
| static

Indicates that an Error on the PrinterFont Class